### Method

# Gdk Surface set_input_region

#### Declaration [src]

    void
    gdk_surface_set_input_region (
      GdkSurface* surface,
      cairo_region_t* region
    )

#### Description [src]

Apply the region to the surface for the purpose of event handling.

Mouse events which happen while the pointer position corresponds to an unset bit in the mask will be passed on the surface below `surface`.

An input region is typically used with RGBA surfaces. The alpha channel of the surface defines which pixels are invisible and allows for nicely antialiased borders, and the input region controls where the surface is “clickable”.

Use `gdk_display_supports_input_shapes()` to find out if a particular backend supports input regions.

#### Parameters

`region`

  Type: `cairo_region_t`

  Region of surface to be reactive, or `NULL` to make the entire surface reactive.

  The argument can be `NULL`.
  The data is owned by the caller of the method.